%define title Creamy
%define name gtk-theme-creamy
%define version 0.9
%define release %mkrel 1

Summary:	GTK Creamy theme
Name:		gtk-theme-creamy
Version:	%{version}
Release:	%{release}
Source0:	%{title}%{version}.tar.bz2
License:	http://creativecommons.org/licenses/by-sa/2.5/pl/
URL:		http://gnome-look.org/content/show.php/Creamy?content=69315
Group:		System/Configuration/Theme
BuildRoot:	%{_tmppath}/%{title}-buildroot
BuildArch:	noarch
Obsoletes:	gtk-theme-Creamy

%description
GTK Creamy theme

%prep
%setup -q -n %{title}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/%{title}/gtk-2.0
cp -ar * $RPM_BUILD_ROOT%{_datadir}/themes/%{title}/

cat > %buildroot%{_datadir}/themes/%{title}/index.theme << EOF
[X-GNOME-Metatheme]
Name=%{title}
Type=X-GNOME-Metatheme
Encoding=UTF-8
GtkTheme=%{title}
MetacityTheme=Clearlooks
IconTheme=gnome
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/themes/%{title}/index.theme
%dir %{_datadir}/themes/%{title}/gtk-2.0/
%{_datadir}/themes/%{title}/gtk-2.0/*

%changelog
* Mon Apr 25 2011 Texstar <texstar at gmail.com> 0.9-1pclos2011
- convert to lowercase name

